%define rc_name         rcgit.29
%define tarballver      %{version}-%{rc_name}

Summary:	GTK++ remote desktop client
Name:		remmina
Version:	1.2.0
Release:	5.%{rc_name}.3
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.remmina.org/wp/
Source0:	https://github.com/FreeRDP/Remmina/archive/v%{version}%-%{rc_name}.tar.gz?/Remmina-%{tarballver}.tar.gz
Source1:	Remmina-1.2.0_ru.tar.gz
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(avahi-client) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.30
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(zlib)
Suggests:	remmina-plugins-gnome
Suggests:	remmina-plugins-nx
Suggests:	remmina-plugins-rdp
Suggests:	remmina-plugins-telepathy
Suggests:	remmina-plugins-vnc
Suggests:	remmina-plugins-xdmcp
Obsoletes:	remmina-plugins < %{version}

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md README.md THANKS.md COPYING LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.%{name}.Remmina.desktop
%{_datadir}/applications/%{name}-file.desktop
%{_datadir}/metainfo/org.%{name}.Remmina.appdata.xml
%{_datadir}/mime/packages/%{name}-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/*/actions/%{name}*.png
%{_iconsdir}/hicolor/*/emblems/%{name}-tool.png
%{_iconsdir}/hicolor/*/emblems/%{name}-sftp.png
%{_mandir}/man1/%{name}.1.*

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{EVRD}

%description devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{EVRD}

%description plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

%files plugins-common
%doc AUTHORS CHANGELOG.md README.md THANKS.md COPYING LICENSE
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

#----------------------------------------------------------------------------

%package plugins-nx
Summary:	NX plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{EVRD}
Requires:	nxproxy

%description plugins-nx
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the NX plugin for the Remmina remote desktop client.

%files plugins-nx
%{_libdir}/%{name}/plugins/%{name}-plugin-nx.so
%{_iconsdir}/hicolor/*/emblems/%{name}-nx.png

#----------------------------------------------------------------------------

%package plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(freerdp2) >= 2.0
Requires:	%{name}-plugins-common = %{EVRD}
Requires:	freerdp >= 2.0

%description plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-rdp.png

#----------------------------------------------------------------------------

%package plugins-telepathy
Summary:	Telepathy plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(telepathy-glib)
Requires:	%{name}-plugins-common = %{EVRD}

%description plugins-telepathy
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Telepathy plugin for the Remmina remote desktop
client.

%files plugins-telepathy
%{_libdir}/%{name}/plugins/%{name}-plugin-telepathy.so
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Remmina.service
%{_datadir}/telepathy/clients/Remmina.client

#----------------------------------------------------------------------------

%package        plugins-exec
Summary:        External execution plugin for Remmina Remote Desktop Client
Group:          Networking/Remote access
Requires:       %{name}-plugins-common = %{EVRD}

%description    plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin to execute external processes (commands or
applications) from the Remmina window.

%files plugins-exec
%{_libdir}/%{name}/plugins/%{name}-plugin-exec.so

#----------------------------------------------------------------------------

%package plugins-secret
Summary:        Keyring integration for Remmina Remote Desktop Client
Group:          Networking/Remote access
BuildRequires:  pkgconfig(libsecret-1)
Requires:       %{name}-plugins-common = %{version}-%{release}

Obsoletes:      remmina-plugins-gnome < 1.2.0-0.rcgit.24.2
Provides:       remmina-plugins-gnome = %{EVRD}

%description plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with keyring support for the Remmina remote
desktop client.

%files plugins-secret
%{_libdir}/%{name}/plugins/%{name}-plugin-secret.so

#----------------------------------------------------------------------------

%package plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{EVRD}

%description plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-vnc.png

#----------------------------------------------------------------------------

%package plugins-xdmcp
Summary:	XDMCP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{EVRD}
Requires:	x11-server-xephyr

%description plugins-xdmcp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the XDMCP plugin for the Remmina remote desktop
client.

%files plugins-xdmcp
%{_libdir}/%{name}/plugins/%{name}-plugin-xdmcp.so
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp-ssh.png
%{_iconsdir}/hicolor/*/emblems/%{name}-xdmcp.png

#----------------------------------------------------------------------------

%prep
%setup -qn Remmina-%{tarballver}

pushd remmina/po
tar -xvzf %{SOURCE1}
popd

%build
%cmake \
	-DWITH_APPINDICATOR=OFF
%make

%install
%make_install -C build

%find_lang %{name}

desktop-file-install \
        --remove-category="X-GNOME-NetworkSettings" \
        --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.%{name}.Remmina.desktop

%changelog

* Fri Jun 08 2018 Victor Ryzhikh <victorr2007@yandex.ru> 1.2.0-5.rcgit.29.3
- (979b078) Updated Russian translations


